1.3
1.3
post /v1/public-domain-names
Description
Create a new Public Domain Name
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | CreatePublicDomainRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | CreatePublicDomainResponse |
Example HTTP request
Request path
/v1/public-domain-names
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"
Request body
{
"address_type": "",
"auto_extension": true,
"description": "",
"domestic_first_address_en": "",
"domestic_first_address_ko": "",
"domestic_second_address_en": "",
"domestic_second_address_ko": "",
"name": "",
"overseas_first_address": "",
"overseas_second_address": "",
"overseas_third_address": "",
"postal_code": "",
"register_email": "",
"register_name_en": "",
"register_name_ko": "",
"register_telno": "",
"tags": []
}
Example HTTP response
Response 201
{
"public_domain_name": {
"address_type": "",
"auto_extension": "",
"created_at": "",
"created_by": "",
"description": "",
"domestic_address_en": "",
"domestic_address_ko": "",
"domestic_first_address_en": "",
"domestic_first_address_ko": "",
"domestic_second_address_en": "",
"domestic_second_address_ko": "",
"expired_date": "",
"id": "",
"modified_at": "",
"modified_by": "",
"name": "",
"overseas_address": "",
"overseas_first_address": "",
"overseas_second_address": "",
"overseas_third_address": "",
"postal_code": "",
"register_email": "",
"register_name_en": "",
"register_name_ko": "",
"register_telno": "",
"start_date": "",
"status": ""
}
}